/etc/init.d
NameSizeModeActions
apache-htcacheclean24890755editdlrm
apache281810755editdlrm
apparmor37400755editdlrm
apport29200755editdlrm
console-setup.sh12320755editdlrm
cron30620755editdlrm
cryptdisks9370755editdlrm
cryptdisks-early8960755editdlrm
dbus31520755editdlrm
docker29460755editdlrm
fail2ban70130755editdlrm
grub-common9850755editdlrm
hwclock.sh17480755editdlrm
irqbalance26380755editdlrm
iscsid15030755editdlrm
keyboard-setup.sh14790755editdlrm
kmod20440755editdlrm
lvm26950755editdlrm
lvm2-lvmpolld5860755editdlrm
mysql56070755editdlrm
netdiag18160755editdlrm
nginx45790755editdlrm
open-iscsi24330755editdlrm
open-vm-tools18460755editdlrm
php8.1-fpm42940755editdlrm
php8.3-fpm42940755editdlrm
php8.5-fpm42940755editdlrm
plymouth13860755editdlrm
plymouth-log7600755editdlrm
postfix30890755editdlrm
procps9590755editdlrm
rsync44170755editdlrm
screen-cleanup12220755editdlrm
ssh40600755editdlrm
udev68710755editdlrm
ufw20830755editdlrm
unattended-upgrades13910755editdlrm
uuidd13060755editdlrm
x11-common27570755editdlrm
Edit: /etc/init.d/open-vm-tools (1846B)
#!/bin/sh ### BEGIN INIT INFO # Provides: open-vm-tools # Required-Start: $local_fs $remote_fs # Required-Stop: $local_fs $remote_fs # X-Start-Before: # X-Stop-After: # Default-Start: 2 3 4 5 # Default-Stop: 0 1 6 # Description: Runs the open-vm-tools services # Short-Description: Runs the open-vm-tools services ### END INIT INFO . /lib/lsb/init-functions exit_if_not_in_vm () { if which systemd-detect-virt 1>/dev/null; then checktool='systemd-detect-virt' else checktool='vmware-checkvm' fi if ! ${checktool} | grep -iq vmware; then echo "open-vm-tools: not starting as this is not a VMware VM" exit 0 fi } case "${1}" in start) # Check if we're running inside VMWare exit_if_not_in_vm log_daemon_msg "Starting open-vm daemon" "vmtoolsd" start-stop-daemon --start --quiet --pidfile /var/run/vmtoolsd.pid --exec /usr/bin/vmtoolsd --test > /dev/null || exit 1 start-stop-daemon --start --quiet --pidfile /var/run/vmtoolsd.pid --exec /usr/bin/vmtoolsd -- --background /var/run/vmtoolsd.pid || exit 2 log_end_msg 0 ;; stop) log_daemon_msg "Stopping open-vm guest daemon" "vmtoolsd" start-stop-daemon --stop --quiet --retry=TERM/30/KILL/5 --pidfile /var/run/vmtoolsd.pid --exec /usr/bin/vmtoolsd RETURN="${?}" [ "${RETURN}" = 2 ] && exit 2 # Many daemons don't delete their pidfiles when they exit. rm -f /var/run/vmtoolsd.pid log_end_msg 0 ;; force-reload|restart) ${0} stop ${0} start ;; status) status_of_proc -p /var/run/vmtoolsd.pid /usr/bin/vmtoolsd vmtoolsd && exit 0 || exit $? ;; *) log_success_msg "Usage: ${0} {start|stop|restart|force-reload|status}" exit 1 ;; esac